<mat-card *ngIf="settings">
  <mat-card-header>
    <img src="/assets/img/dietitian-panel-logo.png" alt="logo"/>
  </mat-card-header>
  <mat-card-content>
    <div class="title-container">
      {{ settings!.cardTitle | translate }}
    </div>
    <form [formGroup]="form">
      <div class="inputs-container">
        <!--      EMAIL INPUT-->
        <mat-form-field>
          <mat-label>{{ settings!.emailLabel | translate }}</mat-label>
          <input
            formControlName="email"
            matInput
            [placeholder]="settings!.emailPlaceholder | translate"
          />
          <mat-error
            id="invalid-email-error"
            *ngIf="form.get('email')!.hasError('email')"
          >
            {{ settings!.invalidEmailError | translate }}
          </mat-error>
          <mat-error
            id="email-required-error"
            *ngIf="form.get('email')!.hasError('required')"
          >
            {{ settings!.emailRequiredError | translate }}
          </mat-error>
        </mat-form-field>
        <!--      PASSWORD INPUT-->
        <mat-form-field>
          <mat-label>{{ settings!.passwordLabel | translate }}</mat-label>
          <input
            formControlName="password"
            matInput
            [placeholder]="settings!.passwordPlaceholder | translate"
            type="password"
          />
          <mat-error
            id="password-required-error"
            *ngIf="form.get('password')!.hasError('required')"
          >
            {{ settings!.passwordRequiredError | translate }}
          </mat-error>
        </mat-form-field>
      </div>
      <button mat-flat-button color="primary" (click)="submit()">
        {{ settings!.submitButtonLabel | translate }}
      </button>
    </form>
  </mat-card-content>
</mat-card>
